GoLand 2021.3.3 已发布,关注 Go 1.18 泛型兼容性

来源: OSCHINA
编辑: 罗奇奇
2022-01-30 07:14:16

GoLand 2021.3.3 已发布,此版本关注 Go 1.18 带来的泛型兼容性,带来如下新内容:

快速修复,用于切换到最新的 Go SDK 

如果你的项目包含泛型,但该项目的 Go SDK 低于 1.18,GoLand 将建议快速修复以切换到 1.18 版本。如果 GO 低于 1.18 版本,Goland 将自动下载最新版的 Go 。

GoLand 还会检查你的 go.mod 文件中的 Go 版本,在你使用泛型但 Go 版本不兼容时会建议快速修复,以更新 GO 版本。

支持底层类型约束

现在支持具有底层类型约束的函数,且 GoLand 不再显示“缺少函数体”错误。

默认情况下,启用“导出的元素应该有注释”检查 

默认情况下,GoLand 2021.3.3  启用了一项检查,检查您是否向导出的元素添加了注释。

传递给闭包的未使用变量会报错

如果将 Go SDK 设置为 1.18,  GoLand 则会将传递给闭包的未使用变量报告为错误。

其他改进和错误修复

  • GO-12171 – 修复了一个报错问题。
  • GO- 12067 –恢复了 快速文档 弹出窗口中指向 pkg.go.dev 的链接。
  • GO-12266 – 现在会按照预期报告空类型参数列表的错误。
  • IDEA-281375 – GoLand 在保存语法无效的文件时不会运行格式化程序。

有关此更新的更多详细信息,请阅读发行说明

更新公告:https://blog.jetbrains.com/go/2022/01/28/goland-2021-3-3-is-available/

展开阅读全文
1 收藏
分享
1 评论
1 收藏
分享
返回顶部
顶部